com.sun.mail.imap.protocol

## Interface SaslAuthenticator

- All Known Implementing Classes:
    IMAPSaslAuthenticator

      public interface SaslAuthenticator

  Interface to make it easier to call IMAPSaslAuthenticator.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `authenticate(String[] mechs, String realm, String authzid, String u, String p)`

- - ### Method Detail

    - #### authenticate

          boolean authenticate(String[] mechs,
                             String realm,
                             String authzid,
                             String u,
                             String p)
                               throws ProtocolException

      Throws:
        `ProtocolException`

Copyright © 2016 Oracle. All rights reserved.